通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Managed Instances - Create Or Update

创建或更新托管实例。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}?api-version=2025-01-01

URI 参数

名称 必需 类型 说明
managedInstanceName
path True

string

托管实例的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
location True

string

资源所在的地理位置

identity

ResourceIdentity

管理实例的Azure Active Directory身份。

properties.administratorLogin

string

托管实例的管理员用户名。 只能在创建托管实例时指定(创建时需要)。

properties.administratorLoginPassword

string (password)

管理员登录密码(创建托管实例时需要)。

properties.administrators

ManagedInstanceExternalAdministrator

Azure Active Directory 管理员可以在实例创建和实例更新时使用,但 azureADOnlyAuthentication 属性除外。 若要更新 azureADOnlyAuthentication 属性,必须使用单个 API。

properties.authenticationMetadata

AuthMetadataLookupModes

托管实例的身份验证元数据查找模式。

properties.collation

string

托管实例的排序规则。

properties.databaseFormat

ManagedInstanceDatabaseFormat

指定特定于 SQL 引擎版本的实例数据库的内部格式。

properties.dnsZonePartner

string (arm-id)

创建后,此托管实例将共享其 DNS 区域的另一个托管实例的资源 ID。

properties.hybridSecondaryUsage

HybridSecondaryUsage

混合辅助用途。 可能的值是“主动”(默认值)和“被动”(客户使用辅助数据库作为被动 DR)。

properties.instancePoolId

string

此托管服务器的实例池的 ID。

properties.isGeneralPurposeV2

boolean

这是否是常规用途版本的 GPv2 变体。

properties.keyId

string

要用于加密的密钥的 CMK URI。

properties.licenseType

ManagedInstanceLicenseType

许可证类型。 可能的值为“LicenseIncluded”(包括新 SQL 许可证的常规价格)和“BasePrice”(自带 SQL 许可证的折扣 AHB 价格)。

properties.maintenanceConfigurationId

string

指定要应用于此托管实例的维护配置 ID。

properties.managedInstanceCreateMode

ManagedServerCreateMode

指定数据库创建模式。

默认值:定期创建实例。

还原:通过将一组备份还原到特定的时间点来创建实例。 必须指定 RestorePointInTime 和 SourceManagedInstanceId。

properties.memorySizeInGB

integer (int32)

内存大小(以 GB 为单位)。 最小值:28。 最大值:870。 最小值和最大值取决于 vCore 数和服务层级。 阅读有关资源限制的更多信息: https://aka.ms/mi-resource-limits-api

properties.minimalTlsVersion

string

最低 TLS 版本。 允许的值:“None”、“1.0”、“1.1”、“1.2”

properties.pricingModel

PricingModel

托管实例 的定价模型。

properties.primaryUserAssignedIdentityId

string (arm-id)

默认情况下要使用的用户分配标识的资源 ID。

properties.proxyOverride

ManagedInstanceProxyOverride

用于连接到实例的连接类型。

properties.publicDataEndpointEnabled

boolean

是否启用公共数据终结点。

properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

用于存储此实例的备份的存储帐户类型。 选项包括 Local (LocalRedundantStorage)、Zone (ZoneRedundantStorage)、Geo (GeoRedundantStorage) 和 GeoZone(GeoZoneRedundantStorage)

properties.requestedLogicalAvailabilityZone

AvailabilityZoneType

指定托管实例钉定的逻辑可用性区。

properties.restorePointInTime

string (date-time)

指定将还原以创建新数据库的源数据库的时间点(ISO8601格式)。

properties.servicePrincipal

ServicePrincipal

托管实例的服务主体。

properties.sourceManagedInstanceId

string (arm-id)

与此实例的创建操作关联的源托管实例的资源标识符。

properties.storageIOps

integer (int32)

存储 IOps。 最小值:300。 最大值:80000。 仅允许 1 个 IOps 的增量。 最大值取决于所选硬件系列和 vCore 数。

properties.storageSizeInGB

integer (int32)

存储大小(以 GB 为单位)。 最小值:32。 最大值:32768。 仅允许 32 GB 的增量。 最大值取决于所选硬件系列和 vCore 数。

properties.storageThroughputMBps

integer (int32)

实例创建/更新作不支持存储吞吐量 MBps 参数。

properties.subnetId

string (arm-id)

托管实例的子网资源 ID。

properties.timezoneId

string

时区的 ID。 允许的值是 Windows 支持的时区。 Windows在注册表中保存支持的时区详情,包括ID,归档于KEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Time Zones。 你可以通过查询 SELECT 名称作为 timezone_id FROM sys.time_zone_info,获得这些注册表值SQL Server。 还可以通过在 PowerShell 中执行 [System.TimeZoneInfo]::GetSystemTimeZones()来获取 ID 列表。 有效时区 ID 的示例是“太平洋标准时间”或“W”。 欧洲标准时间”。

properties.vCores

integer (int32)

vCore 数。 允许的值:4、6、8、10、12、16、20、24、32、40、48、56、64、80、96、128。 支持的 vCore 取决于所选的硬件系列和服务层级。

properties.zoneRedundant

boolean

是否启用区域冗余。

sku

Sku

托管实例 SKU。 sku.name 允许的值:GP_Gen5(通用,标准系列);GP_G8IM(通用,高级系列);GP_G8IH(通用,高级系列内存优化);BC_Gen5(关键业务,Standard-Series);BC_G8IM(关键业务,高级系列);BC_G8IH(业务关键型,高级系列内存优化)。

tags

object

资源标记。

响应

名称 类型 说明
200 OK

ManagedInstance

资源“ManagedInstance”更新操作成功

201 Created

ManagedInstance

资源“ManagedInstance”创建操作成功

标头

  • Location: string
  • Retry-After: integer
202 Accepted

已接受资源作。

标头

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Create managed instance with all properties
Create managed instance with minimal properties

Create managed instance with all properties

示例请求

PUT https://management.azure.com/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance?api-version=2025-01-01

{
  "location": "Japan East",
  "properties": {
    "administratorLogin": "dummylogin",
    "administratorLoginPassword": "PLACEHOLDER",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "authenticationMetadata": "AzureAD",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "databaseFormat": "AlwaysUpToDate",
    "dnsZonePartner": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
    "hybridSecondaryUsage": "Passive",
    "instancePoolId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/pool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "proxyOverride": "Redirect",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "requestedLogicalAvailabilityZone": "1",
    "servicePrincipal": {
      "type": "SystemAssigned"
    },
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "timezoneId": "UTC",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

示例响应

{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "authenticationMetadata": "AzureAD",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "AlwaysUpToDate",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "instancePoolId": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/pool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "provisioningState": "Creating",
    "proxyOverride": "Redirect",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "requestedLogicalAvailabilityZone": "1",
    "servicePrincipal": {
      "type": "SystemAssigned",
      "clientId": "00000011-1111-2222-2222-123456789111",
      "principalId": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "timezoneId": "UTC",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "authenticationMetadata": "AzureAD",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "AlwaysUpToDate",
    "dnsZone": "1b4e2caff2530",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "instancePoolId": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/pool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "provisioningState": "Creating",
    "proxyOverride": "Redirect",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "requestedLogicalAvailabilityZone": "1",
    "servicePrincipal": {
      "type": "SystemAssigned",
      "clientId": "00000011-1111-2222-2222-123456789111",
      "principalId": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "timezoneId": "UTC",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Create managed instance with minimal properties

示例请求

PUT https://management.azure.com/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance?api-version=2025-01-01

{
  "location": "Japan East",
  "properties": {
    "administratorLogin": "dummylogin",
    "administratorLoginPassword": "PLACEHOLDER",
    "licenseType": "LicenseIncluded",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "tier": "GeneralPurpose"
  }
}

示例响应

{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "SQLServer2022",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "licenseType": "LicenseIncluded",
    "provisioningState": "Creating",
    "proxyOverride": "Redirect",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen4",
    "tier": "GeneralPurpose"
  },
  "tags": {}
}
{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/20d7082a-0fc7-4468-82bd-542694d5042b/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "SQLServer2022",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "licenseType": "LicenseIncluded",
    "provisioningState": "Creating",
    "proxyOverride": "Redirect",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/20D7082A-0FC7-4468-82BD-542694D5042B/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen4",
    "tier": "GeneralPurpose"
  },
  "tags": {}
}

定义

名称 说明
AdministratorType

服务器管理员的类型。

AuthMetadataLookupModes

托管实例的身份验证元数据查找模式。

AvailabilityZoneType

指定数据库固定到的可用性区域。

BackupStorageRedundancy

用于存储此数据库的备份的存储帐户类型。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ExternalGovernanceStatus

外部治理的状态。

HybridSecondaryUsage

混合辅助用途。 可能的值是“主动”(默认值)和“被动”(客户使用辅助数据库作为被动 DR)。

HybridSecondaryUsageDetected

检测到混合辅助使用情况。 可能的值为“主动”(客户不满足将辅助数据库用作被动 DR 的要求)和“被动”(客户满足将辅助数据库用作被动 DR 的要求)。

IdentityType

标识类型。 将此设置为“SystemAssigned”,以便自动创建并分配该资源的 Azure Active Directory 主体。

ManagedInstance

An Azure SQL managed instance.

ManagedInstanceDatabaseFormat

指定特定于 SQL 引擎版本的实例数据库的内部格式。

ManagedInstanceExternalAdministrator

Active Directory 管理员的属性。

ManagedInstanceLicenseType

许可证类型。 可能的值为“LicenseIncluded”(包括新 SQL 许可证的常规价格)和“BasePrice”(自带 SQL 许可证的折扣 AHB 价格)。

ManagedInstancePecProperty

托管实例下的专用终结点连接

ManagedInstancePrivateEndpointConnectionProperties

专用终结点连接的属性。

ManagedInstancePrivateEndpointProperty
ManagedInstancePrivateLinkServiceConnectionStateProperty
ManagedInstanceProxyOverride

用于连接到实例的连接类型。

ManagedServerCreateMode

指定数据库创建模式。

默认值:定期创建实例。

还原:通过将一组备份还原到特定的时间点来创建实例。 必须指定 RestorePointInTime 和 SourceManagedInstanceId。

PricingModel

托管实例 的定价模型。

PrincipalType

服务器管理员的主体类型。

ProvisioningState

作业执行的 ARM 预配状态。

ResourceIdentity

Azure Active Directory identity configuration for a resource.

ServicePrincipal

资源的托管实例的服务主体配置。

ServicePrincipalType

服务主体类型。

Sku

ARM 资源 SKU。

systemData

与创建和上次修改资源相关的元数据。

UserIdentity

Azure Active Directory identity configuration for a resource.

AdministratorType

服务器管理员的类型。

说明
ActiveDirectory

活动目录

AuthMetadataLookupModes

托管实例的身份验证元数据查找模式。

说明
AzureAD

AzureAD

Paired

配对

Windows

Windows

AvailabilityZoneType

指定数据库固定到的可用性区域。

说明
NoPreference

无偏好

1

1

2

2

3

3

BackupStorageRedundancy

用于存储此数据库的备份的存储帐户类型。

说明
Geo

地理位置

Local

本地

Zone

区域

GeoZone

GeoZone

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ExternalGovernanceStatus

外部治理的状态。

说明
Enabled

已启用

Disabled

已禁用

HybridSecondaryUsage

混合辅助用途。 可能的值是“主动”(默认值)和“被动”(客户使用辅助数据库作为被动 DR)。

说明
Active

积极

Passive

被动

HybridSecondaryUsageDetected

检测到混合辅助使用情况。 可能的值为“主动”(客户不满足将辅助数据库用作被动 DR 的要求)和“被动”(客户满足将辅助数据库用作被动 DR 的要求)。

说明
Active

积极

Passive

被动

IdentityType

标识类型。 将此设置为“SystemAssigned”,以便自动创建并分配该资源的 Azure Active Directory 主体。

说明
None

没有

SystemAssigned

系统分配

UserAssigned

UserAssigned

SystemAssigned,UserAssigned

SystemAssigned,UserAssigned

ManagedInstance

An Azure SQL managed instance.

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

ResourceIdentity

管理实例的Azure Active Directory身份。

location

string

资源所在的地理位置

name

string

资源的名称

properties.administratorLogin

string

托管实例的管理员用户名。 只能在创建托管实例时指定(创建时需要)。

properties.administratorLoginPassword

string (password)

管理员登录密码(创建托管实例时需要)。

properties.administrators

ManagedInstanceExternalAdministrator

Azure Active Directory 管理员可以在实例创建和实例更新时使用,但 azureADOnlyAuthentication 属性除外。 若要更新 azureADOnlyAuthentication 属性,必须使用单个 API。

properties.authenticationMetadata

AuthMetadataLookupModes

托管实例的身份验证元数据查找模式。

properties.collation

string

托管实例的排序规则。

properties.createTime

string (date-time)

指定托管实例创建的时间点(ISO8601格式)。

properties.currentBackupStorageRedundancy

BackupStorageRedundancy

用于存储此实例备份的存储帐户类型。 选项包括 Local (LocalRedundantStorage)、Zone (ZoneRedundantStorage)、Geo (GeoRedundantStorage) 和 GeoZone(GeoZoneRedundantStorage)

properties.databaseFormat

ManagedInstanceDatabaseFormat

指定特定于 SQL 引擎版本的实例数据库的内部格式。

properties.dnsZone

string

托管实例位于的 Dns 区域。

properties.dnsZonePartner

string (arm-id)

创建后,此托管实例将共享其 DNS 区域的另一个托管实例的资源 ID。

properties.externalGovernanceStatus

ExternalGovernanceStatus

外部治理的状态。

properties.fullyQualifiedDomainName

string

托管实例的完全限定域名。

properties.hybridSecondaryUsage

HybridSecondaryUsage

混合辅助用途。 可能的值是“主动”(默认值)和“被动”(客户使用辅助数据库作为被动 DR)。

properties.hybridSecondaryUsageDetected

HybridSecondaryUsageDetected

检测到混合辅助使用情况。 可能的值为“主动”(客户不满足将辅助数据库用作被动 DR 的要求)和“被动”(客户满足将辅助数据库用作被动 DR 的要求)。

properties.instancePoolId

string

此托管服务器的实例池的 ID。

properties.isGeneralPurposeV2

boolean

这是否是常规用途版本的 GPv2 变体。

properties.keyId

string

要用于加密的密钥的 CMK URI。

properties.licenseType

ManagedInstanceLicenseType

许可证类型。 可能的值为“LicenseIncluded”(包括新 SQL 许可证的常规价格)和“BasePrice”(自带 SQL 许可证的折扣 AHB 价格)。

properties.maintenanceConfigurationId

string

指定要应用于此托管实例的维护配置 ID。

properties.managedInstanceCreateMode

ManagedServerCreateMode

指定数据库创建模式。

默认值:定期创建实例。

还原:通过将一组备份还原到特定的时间点来创建实例。 必须指定 RestorePointInTime 和 SourceManagedInstanceId。

properties.memorySizeInGB

integer (int32)

内存大小(以 GB 为单位)。 最小值:28。 最大值:870。 最小值和最大值取决于 vCore 数和服务层级。 阅读有关资源限制的更多信息: https://aka.ms/mi-resource-limits-api

properties.minimalTlsVersion

string

最低 TLS 版本。 允许的值:“None”、“1.0”、“1.1”、“1.2”

properties.pricingModel

PricingModel

托管实例 的定价模型。

properties.primaryUserAssignedIdentityId

string (arm-id)

默认情况下要使用的用户分配标识的资源 ID。

properties.privateEndpointConnections

ManagedInstancePecProperty[]

托管实例上的专用终结点连接列表。

properties.provisioningState

ProvisioningState

托管实例的预配状态。

properties.proxyOverride

ManagedInstanceProxyOverride

用于连接到实例的连接类型。

properties.publicDataEndpointEnabled

boolean

是否启用公共数据终结点。

properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

用于存储此实例的备份的存储帐户类型。 选项包括 Local (LocalRedundantStorage)、Zone (ZoneRedundantStorage)、Geo (GeoRedundantStorage) 和 GeoZone(GeoZoneRedundantStorage)

properties.requestedLogicalAvailabilityZone

AvailabilityZoneType

指定托管实例钉定的逻辑可用性区。

properties.restorePointInTime

string (date-time)

指定将还原以创建新数据库的源数据库的时间点(ISO8601格式)。

properties.servicePrincipal

ServicePrincipal

托管实例的服务主体。

properties.sourceManagedInstanceId

string (arm-id)

与此实例的创建操作关联的源托管实例的资源标识符。

properties.state

string

托管实例的状态。

properties.storageIOps

integer (int32)

存储 IOps。 最小值:300。 最大值:80000。 仅允许 1 个 IOps 的增量。 最大值取决于所选硬件系列和 vCore 数。

properties.storageSizeInGB

integer (int32)

存储大小(以 GB 为单位)。 最小值:32。 最大值:32768。 仅允许 32 GB 的增量。 最大值取决于所选硬件系列和 vCore 数。

properties.storageThroughputMBps

integer (int32)

实例创建/更新作不支持存储吞吐量 MBps 参数。

properties.subnetId

string (arm-id)

托管实例的子网资源 ID。

properties.timezoneId

string

时区的 ID。 允许的值是 Windows 支持的时区。 Windows在注册表中保存支持的时区详情,包括ID,归档于KEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Time Zones。 你可以通过查询 SELECT 名称作为 timezone_id FROM sys.time_zone_info,获得这些注册表值SQL Server。 还可以通过在 PowerShell 中执行 [System.TimeZoneInfo]::GetSystemTimeZones()来获取 ID 列表。 有效时区 ID 的示例是“太平洋标准时间”或“W”。 欧洲标准时间”。

properties.vCores

integer (int32)

vCore 数。 允许的值:4、6、8、10、12、16、20、24、32、40、48、56、64、80、96、128。 支持的 vCore 取决于所选的硬件系列和服务层级。

properties.virtualClusterId

string

托管实例 的虚拟集群资源 ID。

properties.zoneRedundant

boolean

是否启用区域冗余。

sku

Sku

托管实例 SKU。 sku.name 允许的值:GP_Gen5(通用,标准系列);GP_G8IM(通用,高级系列);GP_G8IH(通用,高级系列内存优化);BC_Gen5(关键业务,Standard-Series);BC_G8IM(关键业务,高级系列);BC_G8IH(业务关键型,高级系列内存优化)。

systemData

systemData

Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。

tags

object

资源标记。

type

string

资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户”

ManagedInstanceDatabaseFormat

指定特定于 SQL 引擎版本的实例数据库的内部格式。

说明
AlwaysUpToDate

AlwaysToDate

SQLServer2022

SQLServer2022

SQLServer2025

SQLServer2025

ManagedInstanceExternalAdministrator

Active Directory 管理员的属性。

名称 类型 说明
administratorType

AdministratorType

服务器管理员的类型。

azureADOnlyAuthentication

boolean

Azure Active Directory 仅启用认证。

login

string

服务器管理员的登录名。

principalType

PrincipalType

服务器管理员的主体类型。

sid

string (uuid)

服务器管理员的 SID (对象 ID)。

tenantId

string (uuid)

管理员的租户 ID。

ManagedInstanceLicenseType

许可证类型。 可能的值为“LicenseIncluded”(包括新 SQL 许可证的常规价格)和“BasePrice”(自带 SQL 许可证的折扣 AHB 价格)。

说明
LicenseIncluded

包含许可

BasePrice

BasePrice

ManagedInstancePecProperty

托管实例下的专用终结点连接

名称 类型 说明
id

string

资源 ID。

properties

ManagedInstancePrivateEndpointConnectionProperties

专用终结点连接属性

ManagedInstancePrivateEndpointConnectionProperties

专用终结点连接的属性。

名称 类型 说明
privateEndpoint

ManagedInstancePrivateEndpointProperty

连接所属的专用终结点。

privateLinkServiceConnectionState

ManagedInstancePrivateLinkServiceConnectionStateProperty

专用终结点连接的连接状态。

provisioningState

string

专用终结点连接的状态。

ManagedInstancePrivateEndpointProperty

名称 类型 说明
id

string

专用终结点的资源 ID。

ManagedInstancePrivateLinkServiceConnectionStateProperty

名称 类型 说明
actionsRequired

string

专用链接服务连接说明。

description

string

专用链接服务连接说明。

status

string

专用链接服务连接状态。

ManagedInstanceProxyOverride

用于连接到实例的连接类型。

说明
Proxy

代理

Redirect

重定向

Default

默认

ManagedServerCreateMode

指定数据库创建模式。

默认值:定期创建实例。

还原:通过将一组备份还原到特定的时间点来创建实例。 必须指定 RestorePointInTime 和 SourceManagedInstanceId。

说明
Default

默认

PointInTimeRestore

PointInTimeRestore

PricingModel

托管实例 的定价模型。

说明
Regular

常规

Freemium

Freemium

PrincipalType

服务器管理员的主体类型。

说明
User

用户

Group

Application

应用程序

ProvisioningState

作业执行的 ARM 预配状态。

说明
Created

已创建

InProgress

进行中

Succeeded

成功

Failed

Failed

Canceled

已取消

ResourceIdentity

Azure Active Directory identity configuration for a resource.

名称 类型 说明
principalId

string (uuid)

The Azure Active Directory principal id.

tenantId

string (uuid)

The Azure Active Directory tenant id.

type

IdentityType

标识类型。 将此设置为“SystemAssigned”,以便自动创建并分配该资源的 Azure Active Directory 主体。

userAssignedIdentities

<string,  UserIdentity>

要使用的用户分配标识的资源 ID

ServicePrincipal

资源的托管实例的服务主体配置。

名称 类型 说明
clientId

string

The Azure Active Directory application client id.

principalId

string

The Azure Active Directory application object id.

tenantId

string

The Azure Active Directory tenant id.

type

ServicePrincipalType

服务主体类型。

ServicePrincipalType

服务主体类型。

说明
None

没有

SystemAssigned

系统分配

Sku

ARM 资源 SKU。

名称 类型 说明
capacity

integer (int32)

特定 SKU 的容量。

family

string

如果服务具有不同代的硬件(对于同一 SKU,则可以在此处捕获)。

name

string

SKU 的名称,通常为字母 + 数字代码,例如 P3。

size

string

特定 SKU 的大小

tier

string

特定 SKU 的层或版本,例如基本 SKU、高级版。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

UserIdentity

Azure Active Directory identity configuration for a resource.

名称 类型 说明
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.